Bug 993399 - Developer Guide: Grouping API section should describe a use case
Developer Guide: Grouping API section should describe a use case
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Grid 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ER3
: 6.2.0
Assigned To: Misha H. Ali
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-05 16:36 EDT by Divya Mehra
Modified: 2013-11-07 17:50 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-07 17:50:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Divya Mehra 2013-08-05 16:36:13 EDT
Document URL: 
https://access.redhat.com/site/documentation/en-US/JBoss_Data_Grid/6.1/html-single/Developer_Guide/index.html#chap-The_Grouping_API

It is not clear to the reader what the Grouping API can help and application developer achieve. 

"When using the Grouping API, JBoss Data Grid creates and uses the hash of the group instead of the hash of the key to determine which node will house the entry." <-- but what does it help accomplish?

Section Number and Name: 

Describe the issue: 
There is no concrete example which brings out the value of the Grouping API to the reader.

Suggestions for improvement: 
Include a simple example, which outlines a typical problem which an application developer would face. The show how the Grouping API solves this problem (with code).

Additional information:
Comment 2 Misha H. Ali 2013-08-05 18:50:11 EDT
Rakesh is working on generic use cases, but assuming the information is provided, we can accommodate specific use cases within the next week or so.

Adding Tristan so that he can point us to the appropriate SME for this.
Comment 4 Misha H. Ali 2013-08-06 21:31:14 EDT
No response yet, adding Mircea as a need info to this bug to track issue.
Comment 5 Misha H. Ali 2013-08-12 20:26:17 EDT
Received feedback from Mircea. Updated Grouping API chapter to reflect information and requested Mircea's review again.
Comment 6 Misha H. Ali 2013-08-20 22:49:46 EDT
No response for the draft review request yet. Setting to modified unless review indicates further work to be done for this bug.
Comment 7 Misha H. Ali 2013-09-06 01:12:35 EDT
One of the SMEs has commented on the pad, checking with Tristan and Mircea to identify the SME and request further information.
Comment 8 Misha H. Ali 2013-09-30 23:33:27 EDT
Reminded Tristan to review use case, along with other grouping API content.
Comment 10 Misha H. Ali 2013-11-07 17:50:46 EST
This bug is approved and available at:

https://access.redhat.com/site/documentation/Red_Hat_JBoss_Data_Grid/

Note You need to log in before you can comment on or make changes to this bug.